%global namedreltag .GA
%global namedversion %{version}%{?namedreltag}

Name:             jbossws-parent
Version:          1.1.0
Release:          %mkrel 2
Summary:          JBossWS Parent
Group:            Development/Java
License:          LGPLv2+
URL:              http://www.jboss.org/jbossws
Source0:          https://repository.jboss.org/nexus/service/local/repositories/releases/content/org/jboss/ws/jbossws-parent/%{namedversion}/jbossws-parent-%{namedversion}.pom

BuildArch:        noarch

BuildRequires:    jpackage-utils
BuildRequires:    maven-local
BuildRequires:    maven-compiler-plugin
BuildRequires:    maven-install-plugin
BuildRequires:    maven-jar-plugin
BuildRequires:    maven-javadoc-plugin
BuildRequires:    maven-enforcer-plugin
BuildRequires:    maven-clean-plugin
BuildRequires:    maven-eclipse-plugin
BuildRequires:    maven-war-plugin
BuildRequires:    maven-help-plugin
BuildRequires:    maven-dependency-plugin

Requires:         jpackage-utils
Requires:         java

%description
This package contains the JBossWS Parent

%prep
cp %{SOURCE0} pom.xml

%build
mvn-rpmbuild install javadoc:aggregate

%install
install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}

# POM
install -pm 644 pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}.pom

# DEPMAP
%add_maven_depmap JPP-%{name}.pom

%files
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*



%changelog
* Tue Oct 22 2013 umeabot <umeabot> 1.1.0-2.mga4
+ Revision: 541956
- Mageia 4 Mass Rebuild

* Sun Oct 13 2013 dmorgan <dmorgan> 1.1.0-1.mga4
+ Revision: 496616
- New version

* Sat Jan 12 2013 umeabot <umeabot> 1.0.10-2.mga3
+ Revision: 355225
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jun 22 2012 gil <gil> 1.0.10-1.mga3
+ Revision: 262607
- imported package jbossws-parent

